Summary: Menu converter and editor for various Window Managers
Name: menushki
Version: 1.0
Release: 1
Copyright: GPL
Group: Applications/File
Packager: linuxkid <linux@peanutlinux.org>
URL: http://menushki.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/

%description
Menushki is a console menu converter and editor for various X window managers.
Currently works with KDE, GNOME, IceWM, BlackBox, Enlightenment
and WindowMaker menu.

%prep
%setup

%build
./configure --prefix=/usr/local
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/local sysconfdir=$RPM_BUILD_ROOT/etc install
find $RPM_BUILD_ROOT/usr/local -type f -print | grep -v '\/(README|COPYING|INSTALL|TODO|ChangeLog)$' | \
    sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-, root, root)

%doc README COPYING INSTALL TODO ChangeLog

%changelog
